Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 2396)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 2397)
@@ -80,82 +80,83 @@
  * @author mdecorde
  */
 public class PartitionIndexEditor extends TXMEditor<PartitionIndex> {
-
+	
 	/** The index. */
 	protected PartitionIndex index;
-
+	
 	// params
 	/** The query label. */
 	protected Label queryLabel;
-
+	
 	// infos
 	/** The navigation area. */
 	protected NavigationWidget navigationArea;
-
+	
 	/** The l fmin info. */
 	protected Label lFminInfo;
-
+	
 	/** The l fmax info. */
 	protected Label lFmaxInfo;
-
+	
 	/** The l v info. */
 	protected Label lVInfo;
-
+	
 	/** The l t info. */
 	protected Label lTInfo;
+	
 	// result
 	/** The line table viewer. */
 	protected TableViewer viewer;
-
+	
 	/** The n column. */
 	protected TableColumn nColumn;
-
+	
 	/** The unit column. */
 	protected TableColumn unitColumn;
-
+	
 	/** The freq column. */
 	protected TableColumn freqColumn;
-
+	
 	/** The separator column. */
 	protected TableColumn separatorColumn;
-
-
+	
+	
 	/** The title. */
 	String title;
-
+	
 	/** The query widget. */
-	@Parameter(key=TXMPreferences.QUERY)
+	@Parameter(key = TXMPreferences.QUERY)
 	protected AssistedChoiceQueryWidget queryWidget;
-
+	
 	/**
 	 * Minimum frequency filtering spinner.
 	 */
-	@Parameter(key=TXMPreferences.F_MIN)
+	@Parameter(key = TXMPreferences.F_MIN)
 	protected Spinner fMinSpinner;
-
+	
 	/**
 	 * Maximum frequency filtering spinner.
 	 */
-	@Parameter(key=TXMPreferences.F_MAX)
+	@Parameter(key = TXMPreferences.F_MAX)
 	protected Spinner fMaxSpinner;
-
+	
 	/**
 	 * Maximum number of lines filtering.
 	 */
-	@Parameter(key=TXMPreferences.V_MAX)
+	@Parameter(key = TXMPreferences.V_MAX)
 	protected Spinner vMaxSpinner;
-
-
+	
+	
 	/** The N ligne p page spinner. */
-	@Parameter(key=TXMPreferences.N_LINES_PER_PAGE)
+	@Parameter(key = TXMPreferences.N_LINES_PER_PAGE)
 	protected Spinner nLinesPerPageSpinner;
-
+	
 	/**
 	 * Word properties selector.
 	 */
-	@Parameter(key=TXMPreferences.UNIT_PROPERTIES)
+	@Parameter(key = TXMPreferences.UNIT_PROPERTIES)
 	protected PropertiesSelector<WordProperty> propertiesSelector;
-
+	
 	/**
 	 * Creates the part control.
 	 *
@@ -164,47 +165,47 @@
 	 */
 	@Override
 	public void _createPartControl() {
-
-
+		
+		
 		this.index = (PartitionIndex) this.getResult();
-
+		
 		// Computing listeners
 		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this);
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
-
+		
 		Composite extendedParametersComposite = this.getExtendedParametersGroup();
-		//		paramArea.setLayout(new FormLayout());
-
+		// paramArea.setLayout(new FormLayout());
+		
 		// info&navigation panel
 		final GLComposite infosArea = this.getBottomToolbar().installGLComposite(IndexUIMessages.infos, 1, false);
 		infosArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		infosArea.getLayout().numColumns = 5; // nav panel + labels
-
-		//		// on créé une Query, ici le pivot de la concordance est "[]"
-		//		// Query Area: query itself + view properties
-		//		Composite queryArea = new Composite(paramArea, SWT.NONE);
+		
+		// // on créé une Query, ici le pivot de la concordance est "[]"
+		// // Query Area: query itself + view properties
+		// Composite queryArea = new Composite(paramArea, SWT.NONE);
 		//
-		//		FormData queryLayoutData = new FormData();
-		//		queryLayoutData.top = new FormAttachment(0);
-		//		queryLayoutData.left = new FormAttachment(0);
-		//		queryLayoutData.right = new FormAttachment(100);
-		//		queryArea.setLayoutData(queryLayoutData);
+		// FormData queryLayoutData = new FormData();
+		// queryLayoutData.top = new FormAttachment(0);
+		// queryLayoutData.left = new FormAttachment(0);
+		// queryLayoutData.right = new FormAttachment(100);
+		// queryArea.setLayoutData(queryLayoutData);
 		//
-		//		queryArea.setLayout(new GridLayout(4, false));
-
+		// queryArea.setLayout(new GridLayout(4, false));
+		
 		// | Query: [ (v)] [Search] |
-
+		
 		// Main parameters
 		// Query
 		this.getMainParametersComposite().getLayout().numColumns = 3;
 		// make the zone expandable to display the longest query field
 		this.getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
-
+		
 		// Query:
 		queryLabel = new Label(this.getMainParametersComposite(), SWT.NONE);
 		queryLabel.setText(TXMCoreMessages.common_query);
 		queryLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
-
+		
 		// [ (v)]
 		queryWidget = new AssistedChoiceQueryWidget(this.getMainParametersComposite(), SWT.DROP_DOWN, index.getCorpus());
 		GridData layoutData = new GridData(GridData.VERTICAL_ALIGN_CENTER);
@@ -212,8 +213,8 @@
 		layoutData.grabExcessHorizontalSpace = true;
 		queryWidget.setLayoutData(layoutData);
 		queryWidget.addKeyListener(computeKeyListener);
-
-
+		
+		
 		// Word properties selector
 		propertiesSelector = new PropertiesSelector<WordProperty>(this.getMainParametersComposite(), SWT.NONE);
 		propertiesSelector.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
@@ -227,118 +228,118 @@
 		}
 		// Listener
 		propertiesSelector.addSelectionListener(computeSelectionListener);
-
-
+		
+		
 		// extended parameters
-
+		
 		// FIXME: old version
 		// Filters
-		//		Composite filtercontrols = new Composite(paramArea, SWT.NONE);
-		//		FormData filtersLayoutData = new FormData();
-		//		filtersLayoutData.top = new FormAttachment(queryArea, 0);
-		//		filtersLayoutData.bottom = new FormAttachment(100);
-		//		filtersLayoutData.left = new FormAttachment(0);
-		//		filtersLayoutData.right = new FormAttachment(100);
-		//		filtercontrols.setLayoutData(filtersLayoutData);
+		// Composite filtercontrols = new Composite(paramArea, SWT.NONE);
+		// FormData filtersLayoutData = new FormData();
+		// filtersLayoutData.top = new FormAttachment(queryArea, 0);
+		// filtersLayoutData.bottom = new FormAttachment(100);
+		// filtersLayoutData.left = new FormAttachment(0);
+		// filtersLayoutData.right = new FormAttachment(100);
+		// filtercontrols.setLayoutData(filtersLayoutData);
 		//
-		//		GridLayout gridLayout = new GridLayout();
-		//		gridLayout.numColumns = 9;
-		//		gridLayout.makeColumnsEqualWidth = false;
-		//		filtercontrols.setLayout(gridLayout);
+		// GridLayout gridLayout = new GridLayout();
+		// gridLayout.numColumns = 9;
+		// gridLayout.makeColumnsEqualWidth = false;
+		// filtercontrols.setLayout(gridLayout);
 		//
-		//		Label tmp = new Label(filtercontrols, SWT.NONE);
-		//		tmp.setText(TXMCoreMessages.common_thresholds);
-		//		tmp.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+		// Label tmp = new Label(filtercontrols, SWT.NONE);
+		// tmp.setText(TXMCoreMessages.common_thresholds);
+		// tmp.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 		//
-		//		Label lFmin = new Label(filtercontrols, SWT.NONE);
-		//		lFmin.setText(TXMCoreMessages.common_fMin);
-		//		lFmin.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+		// Label lFmin = new Label(filtercontrols, SWT.NONE);
+		// lFmin.setText(TXMCoreMessages.common_fMin);
+		// lFmin.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 		//
-		//		GridData fieldsGridData = new GridData(GridData.VERTICAL_ALIGN_END);
-		//		fieldsGridData.minimumWidth = 100;
+		// GridData fieldsGridData = new GridData(GridData.VERTICAL_ALIGN_END);
+		// fieldsGridData.minimumWidth = 100;
 		//
-		//		fMinSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		//		fMinSpinner.setMinimum(0);
-		//		fMinSpinner.setMaximum(9999999);
-		//		fMinSpinner.setIncrement(1);
-		//		fMinSpinner.setPageIncrement(100);
-		//		fMinSpinner.setLayoutData(fieldsGridData);
-		//		fMinSpinner.addKeyListener(computeKeyListener);
-		//		fMinSpinner.addSelectionListener(computeSelectionListener);
+		// fMinSpinner = new Spinner(filtercontrols, SWT.BORDER);
+		// fMinSpinner.setMinimum(0);
+		// fMinSpinner.setMaximum(9999999);
+		// fMinSpinner.setIncrement(1);
+		// fMinSpinner.setPageIncrement(100);
+		// fMinSpinner.setLayoutData(fieldsGridData);
+		// fMinSpinner.addKeyListener(computeKeyListener);
+		// fMinSpinner.addSelectionListener(computeSelectionListener);
 		//
-		//		Label lFmax = new Label(filtercontrols, SWT.NONE);
-		//		lFmax.setText(TXMCoreMessages.common_fMax);
-		//		lFmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+		// Label lFmax = new Label(filtercontrols, SWT.NONE);
+		// lFmax.setText(TXMCoreMessages.common_fMax);
+		// lFmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 		//
-		//		fMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		//		fMaxSpinner.setMinimum(0);
-		//		fMaxSpinner.setMaximum(9999999);
-		//		fMaxSpinner.setIncrement(1);
-		//		fMaxSpinner.setPageIncrement(100);
-		//		fMaxSpinner.setLayoutData(fieldsGridData);
-		//		fMaxSpinner.addKeyListener(computeKeyListener);
-		//		fMaxSpinner.addSelectionListener(computeSelectionListener);
+		// fMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
+		// fMaxSpinner.setMinimum(0);
+		// fMaxSpinner.setMaximum(9999999);
+		// fMaxSpinner.setIncrement(1);
+		// fMaxSpinner.setPageIncrement(100);
+		// fMaxSpinner.setLayoutData(fieldsGridData);
+		// fMaxSpinner.addKeyListener(computeKeyListener);
+		// fMaxSpinner.addSelectionListener(computeSelectionListener);
 		//
-		//		Label lVmax = new Label(filtercontrols, SWT.NONE);
-		//		lVmax.setText(TXMCoreMessages.VMAX_1);
-		//		lVmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+		// Label lVmax = new Label(filtercontrols, SWT.NONE);
+		// lVmax.setText(TXMCoreMessages.VMAX_1);
+		// lVmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 		//
-		//		vMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
-		//		vMaxSpinner.setMinimum(0);
-		//		vMaxSpinner.setMaximum(9999999);
-		//		vMaxSpinner.setIncrement(1);
-		//		vMaxSpinner.setPageIncrement(100);
-		//		vMaxSpinner.setLayoutData(fieldsGridData);
-		//		vMaxSpinner.addKeyListener(computeKeyListener);
-		//		vMaxSpinner.addSelectionListener(computeSelectionListener);
-
-
+		// vMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
+		// vMaxSpinner.setMinimum(0);
+		// vMaxSpinner.setMaximum(9999999);
+		// vMaxSpinner.setIncrement(1);
+		// vMaxSpinner.setPageIncrement(100);
+		// vMaxSpinner.setLayoutData(fieldsGridData);
+		// vMaxSpinner.addKeyListener(computeKeyListener);
+		// vMaxSpinner.addSelectionListener(computeSelectionListener);
+		
+		
 		// FIXME: new version
 		// Filters
 		ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), this);
 		this.fMinSpinner = thresholdsGroup.getFMinSpinner();
 		this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
 		this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
-
-
-
-
+		
+		
+		
+		
 		Label lNLigneppage = new Label(this.getExtendedParametersGroup(), SWT.NONE);
 		lNLigneppage.setText(IndexUIMessages.pageSize);
-
+		
 		nLinesPerPageSpinner = new Spinner(this.getExtendedParametersGroup(), SWT.BORDER);
 		nLinesPerPageSpinner.setMinimum(0);
 		nLinesPerPageSpinner.setMaximum(99999);
 		nLinesPerPageSpinner.setIncrement(1);
 		nLinesPerPageSpinner.setPageIncrement(100);
-
+		
 		// FIXME; became useless?
-		//		nLinesPerPageSpinner.addSelectionListener(new SelectionListener() {
-		//			@Override
-		//			public void widgetSelected(SelectionEvent e) { }
+		// nLinesPerPageSpinner.addSelectionListener(new SelectionListener() {
+		// @Override
+		// public void widgetSelected(SelectionEvent e) { }
 		//
-		//			@Override
-		//			public void widgetDefaultSelected(SelectionEvent e) {
-		//				index.setTopLine(0);
-		//				index.setNLinesPerPage(nLinesPerPageSpinner.getSelection());
-		//				fillResultArea();
-		//				viewer.getTable().select(0);
-		//				viewer.getTable().showSelection();
-		//			}
-		//		});
-
+		// @Override
+		// public void widgetDefaultSelected(SelectionEvent e) {
+		// index.setTopLine(0);
+		// index.setNLinesPerPage(nLinesPerPageSpinner.getSelection());
+		// fillResultArea();
+		// viewer.getTable().select(0);
+		// viewer.getTable().showSelection();
+		// }
+		// });
+		
 		nLinesPerPageSpinner.addSelectionListener(computeSelectionListener);
 		nLinesPerPageSpinner.addKeyListener(computeKeyListener);
-
-
+		
+		
 		navigationArea = new NavigationWidget(infosArea, SWT.NONE);
-		navigationArea.setLayoutData(new GridData(SWT.CENTER, SWT.FILL, true,	false));
-
+		navigationArea.setLayoutData(new GridData(SWT.CENTER, SWT.FILL, true, false));
+		
 		navigationArea.addFirstListener(new SelectionListener() {
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
+			public void widgetDefaultSelected(SelectionEvent e) {}
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				index.setTopLine(0);
@@ -349,27 +350,27 @@
 			}
 		});
 		navigationArea.addLastListener(new SelectionListener() {
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
+			public void widgetDefaultSelected(SelectionEvent e) {}
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				int i = (index.getV()/nLinesPerPageSpinner.getSelection());
-				int top = i*nLinesPerPageSpinner.getSelection();
-
+				int i = (index.getV() / nLinesPerPageSpinner.getSelection());
+				int top = i * nLinesPerPageSpinner.getSelection();
+				
 				index.setTopLine(top);
 				fillResultArea();
-
+				
 				viewer.getTable().select(0);
 				viewer.getTable().showSelection();
 			}
 		});
 		navigationArea.addNextListener(new SelectionListener() {
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
+			public void widgetDefaultSelected(SelectionEvent e) {}
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				index.setTopLine(index.getTopIndex() + index.getNLinesPerPage());
@@ -379,71 +380,74 @@
 			}
 		});
 		navigationArea.addPreviousListener(new SelectionListener() {
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
+			public void widgetDefaultSelected(SelectionEvent e) {}
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				int top = index.getTopIndex() - index.getNLinesPerPage();
-				if (top < 0) { top = 0; }
+				if (top < 0) {
+					top = 0;
+				}
 				index.setTopLine(top);
 				fillResultArea();
 				viewer.getTable().select(0);
 				viewer.getTable().showSelection();
 			}
 		});
-
+		
 		// Labels added after the top toolbar
 		lTInfo = new Label(infosArea, SWT.NONE);
 		lTInfo.setText(""); //$NON-NLS-1$
-		//		lTInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-
+		// lTInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		
 		lVInfo = new Label(infosArea, SWT.NONE);
 		lVInfo.setText(""); //$NON-NLS-1$
-		//		lVInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-
+		// lVInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		
 		lFminInfo = new Label(infosArea, SWT.NONE);
 		lFminInfo.setText(""); //$NON-NLS-1$
-		//		lFminInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-
+		// lFminInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		
 		lFmaxInfo = new Label(infosArea, SWT.NONE);
 		lFmaxInfo.setText(""); //$NON-NLS-1$
-		//		lFmaxInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-
+		// lFmaxInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		
 		// results
 		Composite resultArea = this.getResultArea();
-
+		
 		viewer = new TableViewer(resultArea, SWT.MULTI | SWT.FULL_SELECTION | SWT.BORDER);
-
+		
 		viewer.getTable().setLinesVisible(true);
 		viewer.getTable().setHeaderVisible(true);
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
-
+		
 		String fontName = index.getCorpus().getProject().getFont();
 		if (fontName != null && fontName.length() > 0) {
 			Font old = viewer.getTable().getFont();
 			FontData fD = old.getFontData()[0];
-			//Font f = new Font(old.getDevice(), corpus.getFont(), fD.getHeight(), fD.getStyle());
-			Font font = new Font(Display.getCurrent(), fontName, fD.getHeight(), fD.getStyle()); 
+			// Font f = new Font(old.getDevice(), corpus.getFont(), fD.getHeight(), fD.getStyle());
+			Font font = new Font(Display.getCurrent(), fontName, fD.getHeight(), fD.getStyle());
 			viewer.getTable().setFont(font);
 		}
-
+		
 		viewer.getTable().setLayoutData(new GridData(GridData.FILL_BOTH));
-
+		
 		viewer.setLabelProvider(new LineLabelProvider());
 		viewer.setContentProvider(new LineContentProvider());
 		viewer.setInput(new ArrayList<Property>());
-
+		
 		nColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 		nColumn.setText(" "); //$NON-NLS-1$
 		nColumn.pack();
-
+		
 		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 		unitColumn.setText(TXMCoreMessages.common_units);
 		unitColumn.setToolTipText(TXMCoreMessages.common_units);
 		unitColumn.setWidth(200);
 		unitColumn.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				StatusLine.setMessage(TXMUIMessages.sortingColumn);
@@ -451,74 +455,79 @@
 					viewer.getTable().setSortColumn(unitColumn);
 					viewer.getTable().setSortDirection(SWT.UP);
 					index.sortLines(SortMode.UNIT, false);
-				} else {
+				}
+				else {
 					if (viewer.getTable().getSortDirection() == SWT.UP) {
 						viewer.getTable().setSortDirection(SWT.DOWN);
 						index.sortLines(SortMode.UNITFREQ, true);
-					} else {
+					}
+					else {
 						viewer.getTable().setSortDirection(SWT.UP);
 						index.sortLines(SortMode.UNITFREQ, false);
 					}
 				}
-
+				
 				StatusLine.setMessage(TXMUIMessages.sortDone);
 				fillResultArea();
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		// columns build later
-
+		
 		// Register the context menu
 		TXMEditor.initContextMenu(this.viewer.getTable(), this.getSite(), this.viewer);
-
-
+		
+		
 		if (queryWidget != null && !queryWidget.isDisposed()) {
 			queryWidget.setFocus();
 		}
-
+		
 	}
-
-
-
-
+	
+	
+	
+	
 	@Override
 	public void updateResultFromEditor() {
 		// nothing to do
 	}
-
-
+	
+	
 	/**
 	 * Computes index.
 	 */
 	@Override
 	public void updateEditorFromResult(final boolean update) {
-
+		
 		if (freqColumn == null) {
 			freqColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
 			try {
-				freqColumn.setText(TXMCoreMessages.common_frequency+" T="+index.getPartition().getTotalSize()); //$NON-NLS-1$
-			} catch (CqiClientException e2) {
+				freqColumn.setText(TXMCoreMessages.common_frequency + " T=" + index.getPartition().getTotalSize()); //$NON-NLS-1$
+			}
+			catch (CqiClientException e2) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e2);
 			}
 			freqColumn.setToolTipText(TXMCoreMessages.common_frequency);
 			freqColumn.setWidth(100);
 			freqColumn.addSelectionListener(new SelectionListener() {
+				
 				@Override
 				public void widgetSelected(SelectionEvent e) {
 					if (viewer.getTable().getSortColumn() != freqColumn) {
 						viewer.getTable().setSortColumn(freqColumn);
 						viewer.getTable().setSortDirection(SWT.UP);
 						index.sortLines(SortMode.FREQUNIT, false);
-					} else {
+					}
+					else {
 						if (viewer.getTable().getSortDirection() == SWT.UP) {
 							viewer.getTable().setSortDirection(SWT.DOWN);
 							index.sortLines(SortMode.FREQUNIT, true);
-						} else {
+						}
+						else {
 							viewer.getTable().setSortDirection(SWT.UP);
 							index.sortLines(SortMode.FREQUNIT, false);
 						}
@@ -526,12 +535,11 @@
 					StatusLine.setMessage(TXMUIMessages.sortDone);
 					fillResultArea();
 				}
-
+				
 				@Override
-				public void widgetDefaultSelected(SelectionEvent e) {
-				}
+				public void widgetDefaultSelected(SelectionEvent e) {}
 			});
-
+			
 			// rmv/creates parts columns if needed
 			List<Part> parts = index.getPartition().getParts();
 			List<String> partnames = index.getPartition().getPartNames();
@@ -541,7 +549,8 @@
 						final TableColumn partColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
 						try {
 							partColumn.setText(partnames.get(i) + " t=" + parts.get(i).getSize()); //$NON-NLS-1$
-						} catch (CqiClientException e1) {
+						}
+						catch (CqiClientException e1) {
 							org.txm.utils.logger.Log.printStackTrace(e1);
 						}
 						partColumn.setToolTipText(partnames.get(i));
@@ -549,32 +558,32 @@
 					}
 				}
 			}
-
+			
 			separatorColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 			separatorColumn.setText(""); //$NON-NLS-1$
 			separatorColumn.pack();
-
+			
 			// Add double click, "Send to" command
 			TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 1, "org.txm.concordance.rcp.handlers.ComputeConcordance"); //$NON-NLS-1$
 			TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 2, viewer.getTable().getColumnCount() - 1, "org.txm.progression.rcp.handlers.ComputeProgression"); //$NON-NLS-1$
 		}
-
+		
 		QueriesView.refresh();
 		RVariablesView.refresh();
-
+		
 		if (!queryWidget.isDisposed()) {
 			queryWidget.memorize();
 		}
-
-
-
+		
+		
+		
 		fillResultArea();
-
+		
 		viewer.getTable().setFocus();
 	}
-
-
-
+	
+	
+	
 	/**
 	 * Fill result area using the index top and index number of results per page parameters.
 	 *
@@ -582,10 +591,10 @@
 	public void fillResultArea() {
 		// System.out.println("call fill from "+from+" to "+to);
 		int from = index.getTopIndex();
-
+		
 		int to = from + index.getNLinesPerPage();
 		to = Math.min(to, index.getV());
-
+		
 		List<Line> lines = null;
 		if (index.getV() > 0) {
 			lines = index.getLines(from, to);
@@ -593,21 +602,21 @@
 		else {
 			lines = new ArrayList<Line>();
 		}
-
-		navigationArea.setInfoLineText(""+(from + 1), //$NON-NLS-1$
+		
+		navigationArea.setInfoLineText("" + (from + 1), //$NON-NLS-1$
 				"-" + (to) + " / " + index.getV()); //$NON-NLS-1$ //$NON-NLS-2$
 		navigationArea.setPreviousEnabled(from > 0);
 		navigationArea.setFirstEnabled(from > 0);
 		navigationArea.setNextEnabled(to < index.getV());
 		navigationArea.setLastEnabled(to < index.getV());
-
+		
 		lFminInfo.setText(TXMCoreMessages.fmin + index.getFmin());
 		lFmaxInfo.setText(TXMCoreMessages.fmax + index.getFmax());
 		lTInfo.setText(TXMCoreMessages.common_t + index.getT());
 		lVInfo.setText(TXMCoreMessages.v + index.getV());
-
+		
 		lVInfo.getParent().layout();
-
+		
 		String unitColumnHeader = ""; //$NON-NLS-1$
 		for (Property p : index.getProperties()) {
 			unitColumnHeader += p.getName() + index.getPropertySeparator();
@@ -616,14 +625,14 @@
 			unitColumnHeader = unitColumnHeader.substring(0, unitColumnHeader.length() - 1);
 		}
 		unitColumn.setText(unitColumnHeader);
-
+		
 		viewer.setInput(lines);
-
+		
 		// Refresh and pack the columns
 		TXMEditor.packColumns(viewer);
-
+		
 	}
-
+	
 	/**
 	 * Sets the focus.
 	 *
@@ -636,7 +645,7 @@
 		}
 		StatusLine.setMessage(IndexUIMessages.openingTheIndexResults);
 	}
-
+	
 	/**
 	 * Gets the corpus.
 	 *
@@ -645,7 +654,7 @@
 	public CQPCorpus getCorpus() {
 		return index.getCorpus();
 	}
-
+	
 	/**
 	 * Sets the focus.
 	 *
@@ -654,8 +663,8 @@
 	public void setFocus(String query) {
 		this.queryWidget.setText(query);
 	}
-
+	
 	public IQuery getQuery() {
 		return queryWidget.getQuery();
 	}
-}
\ No newline at end of file
+}
